Skip to main content
GET
/
fixtures
/
batch-validation
Get a Merkle proof for an entire hourly batch of fixtures
curl --request GET \
  --url https://api.example.com/fixtures/batch-validation \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Api-Token: <api-key>'
{
  "metadata": {
    "totalUpdateCount": 123,
    "numUniqueFixtures": 123,
    "overallBatchStartTs": 123,
    "overallBatchEndTs": 123
  },
  "proof": {}
}

Documentation Index

Fetch the complete documentation index at: https://txline-docs.txodds.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

User's session JWT.

X-Api-Token
string
header
required

The user's long-lived API token, obtained from the activation endpoint.

Headers

Authorization
string
required

Bearer token for the user's session JWT.

X-Api-Token
string
required

The user's long-lived API token.

Query Parameters

epochDay
integer
required

The day since the Unix epoch for the desired batch.

hourOfDay
integer
required

The hour of the day (UTC, 0-23) for the desired batch.

Response

metadata
BatchMetadata · object
required
proof
Nil · object
required